ISXIM - Bug #2205

ISXIM - Stopped Working With Inner Space Version 1.18 (Build 6814) +
2022-03-01 03:04 PM - LostOne

Status: Implemented
Priority: Low
Assignee: Amadeus
Category:

Target version:

vbulletin_issue_id:

Description
*WORKS * Inner Space Version 1.18 (Build 6800) [2021-09-23]

* BROKEN * Inner Space Version 1.18 (Build 6814) [2021-11-23]
* BROKEN * Inner Space Version 1.18 (Build 6835) [2022-01-20]
* BROKEN * Inner Space Version 1.18 (Build 6837) [2022-01-27]
< Skipped testing a number of builds. The following is the most recent development version >
* BROKEN * Inner Space Version 1.18 (Build 6857) [2022-02-24]

The build that appears to have broken ISXIM is 6814 which was released on 2021-11-23. Here are the release notes related to that
build:

- World of Warcraft compatibility update
- EVE compatibility update
- Diablo Il Resurrected compatibility update
- MIR4 compatibility update
- Aion Classic compatibility update [work in progress]
- Crowfall compatibility update
- Tree of Savior comptatibility update
- Audio engine is now loaded on-demand
- Improved handling of Console menu item
- Uplink window now fills the monitor work area
- The Maximize button on the Uplink window now does something (still non-standard maximize/minimize behavior)
- Fixed various keyboard/modifier state issues relating to switching windows
- Added "foreground" to relay resolver, e.g. "relay foreground echo hi"
- Agents
* Agent events now use the Agent's folder as CWD
* Agents now also include version, description, provides, conflicts, dependencies, minimumBuild
* unistring agent.Version
* unistring agent.Description
* uint agent.MinimumBuild
* jsonarray agent.Dependencies
* jsonarray agent.Provides
* jsonarray agent.Conflicts
* bool agent.AutoStart
* agent:SetAutoStart[bool]
- LavishGUI 2
* Numerous interaction fixes, including mouse wheel, modifier keys, clicking to focus
* Fixed issues with videofeed and videofeedsource elements
* Fixed a bug with combobox selection detaching the selected item
* Fixed crashes with with self-detructive Input Hooks, itemlist, and others
* Fixed an issue with item lists not appearing to have a highlighted item, if the item started out selected
* Added inputpicker control and Igui2inputpicker object type
* lgui2 object .JSON members moved to .AsJSON
* jsonobject Igui2layer.Bindings
* Fixed missing Igui2element.InputHook member
* Added 'none'/'nomodifiers’ and 'any'/'anymodifiers' hooks and bindings (for specifying modifiers)
* LGUI2.Element][] no longer resolves to an element
- LavishScript
* NULL should now produce the same result as NULL
* Fixed an issue with pre-parsed sequences sometimes returning a "variable" type
* New "OnFileOpen" event
* Add Game window now fires "GamesChanged" event
* New LMAC task type "Is1.code"
* The Sessions TLO, within a Session, will return a jsonarray if given "array" parameter, e.g. 0
* bool issession.AllowFlashWindow
* issession:SetAllowFlashWindow[bool]

History

#1 - 2022-03-01 10:59 PM - Amadeus
- Status changed from New to Accepted
- Assignee set to Amadeus

- Priority changed from Normal to Low

It's likely to be quite some time before | can get to fixing this. | haven't built ISXIM for years, and it's not building right now and | don't have much time
to work on anything at the moment. To be honest, | didn't think anyone was still using it now that everyone moved to Discord.

Remind me in Discord this July if | haven't fixed it by then.

#2 - 2022-03-21 07:11 PM - Amadeus

- Status changed from Accepted to Implemented

Fixed with new version 20220321.0001 which was announced in Discord and is also reflected in the updated installer link on the Forums (on the
ISXIM post.)
